<?php
/**
 * RSS title slider
 *
 * @package     RSS title slider
 * @subpackage  mod_rss_title_slider
 * @version   	4.0
 * @author    	Gopi Ramasamy
 * @copyright   Copyright (C) 2010 - 2021 www.gopiplus.com. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 *
 * http://www.gopiplus.com/extensions/2012/04/rss-title-slider-joomla-module/
 */

defined('_JEXEC') or die;

if ( ! empty($feed) ) 
{
	$rts_css 		= $params->get('rts_css', 'SETTING1');
	$rts_direction 	= $params->get('rts_direction', 'scrollLeft');
	$rts_speed 		= (int) $params->get('rts_speed', 700);
	$rts_timeout 	= (int) $params->get('rts_timeout', 5000);
	
	echo '<div id="RSS-SHOW-'.$rts_css.'">';
	for ($i = 0, $max = min(count($feed), 10); $i < $max; $i++)
	{
		$title	=  $feed[$i]->title;
		$link 	=  $feed[$i]->link;
		echo '<p><a target="_blank" href="'.$link.'">'.$title.'</a></p>';
	}
	echo '</div>';
	?>
	<!-- start rss title slider -->
	<script type="text/javascript">
	jQuery(function() {
	jQuery('#RSS-SHOW-<?php echo $rts_css; ?>').cycle({
		fx: '<?php echo $rts_direction; ?>',
		speed: <?php echo $rts_speed; ?>,
		timeout: <?php echo $rts_timeout; ?>
	});
	});
	</script>
	<!-- end rss title slider -->
	<?php
}
?>